# $Revision: 1.16 $, $Date: 2008/10/11 12:54:25 $
Summary:	Tiny GNOME tasklist application
Summary(pl.UTF-8):	Mała aplikacja listy zadań dla GNOME
Name:		tasks
Version:	0.14
Release:	2
License:	GPL v2+
Group:		Applications/Communications
Source0:	http://pimlico-project.org/sources/tasks/%{name}-%{version}.tar.gz
# Source0-md5:	a925fda89359d6443029022e43cba1bd
Patch0:		%{name}-configure.patch
URL:		http://pimlico-project.org/tasks.html
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	evolution-data-server-devel >= 1.2
BuildRequires:	glib2-devel >= 1:2.14
BuildRequires:	gtk+2-devel >= 2:2.10.7
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libglade2-devel >= 1:2.6.0
# not released yet; earlier versions are not used
#BuildRequires:	libsexy-devel >= 0.1.12
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.27
BuildRequires:	pkgconfig
Requires(post,postun):	hicolor-icon-theme
Requires(post,postun):	scrollkeeper
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tasks is a simple To Do list application that eschews complicated
features for a lean interface and functionality that just does the
right thing. It has a simple interface with little cruft around the
list of tasks, is ported to the OpenMoko framework, and there are
plans for focused ports to other frameworks (such as Maemo as used on
the Nokia N800).

%description -l pl.UTF-8
Tasks to mała aplikacja listy zadań, w której zrezygnowano z bardziej
złożonych możliwości dla skromnego interfejsu i funkcjonalności
robiącej to co trzeba. Ma prosty interfejs z małymi sztuczkami przy
liście zadań, jest portowany do środowiska OpenMoko i są plany portów
na inne platformy (takie jak Maemo używane na Nokii N800).

%prep
%setup -q
%patch0 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

# weird unsupported dimension
rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor/26x26

%clean
rm -rf $RPM_BUILD_ROOT

%post
%scrollkeeper_update_post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor
%scrollkeeper_update_postun

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/tasks
%{_desktopdir}/tasks.desktop
%{_iconsdir}/hicolor/*/apps/tasks.png
%{_iconsdir}/hicolor/scalable/apps/tasks.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tasks.spec,v $
Revision 1.16  2008/10/11 12:54:25  wolvverine
- rel.2, STBR

Revision 1.15  2008/09/30 20:32:57  qboosh
- removed one more non-existing configure option
- disabled libsexy for now (0.1.12 not released yet)

Revision 1.14  2008/09/30 16:59:59  qboosh
- cleanup
- updated BRs
- GPL version

Revision 1.13  2008/09/30 13:29:36  tiwek
- up to 0.14
- rel 1

Revision 1.12  2008/08/06 13:54:16  patrys
- use AM_PROG_LIBTOOL instead of old RANLIB

Revision 1.11  2008-01-08 00:32:05  glen
- remove hicolor/26x26 icons; rel 2

Revision 1.10  2007-12-08 02:40:32  wolvverine
- up to 0.13

Revision 1.9  2007/09/24 10:36:32  patrys
- 0.12

Revision 1.8  2007/09/08 13:07:01  patrys
- 0.11

Revision 1.7  2007/07/09 00:08:40  aredridel
- 0.9

Revision 1.6  2007/05/27 19:48:57  qboosh
- more BRs

Revision 1.5  2007/05/27 19:46:36  qboosh
- added missing date define

Revision 1.4  2007/05/25 20:20:28  qboosh
- pl
- more deps

Revision 1.3  2007/05/24 07:37:42  ankry
- cosmetics

Revision 1.2  2007/05/24 03:24:50  aredridel
- remove all hints of .schemas files

Revision 1.1  2007/05/24 03:22:38  aredridel
- added
